GNU bug report logs - #53797
[PATCH] gnu: Add emacs-app-launcher.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Demis Balbach <db@HIDDEN>; Keywords: patch; dated Sat, 5 Feb 2022 11:21:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 53797 <at> debbugs.gnu.org:


Received: (at 53797) by debbugs.gnu.org; 6 Feb 2022 11:01:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 06 06:01:49 2022
Received: from localhost ([127.0.0.1]:36607 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nGfIj-0007UM-J1
	for submit <at> debbugs.gnu.org; Sun, 06 Feb 2022 06:01:49 -0500
Received: from mout-p-201.mailbox.org ([80.241.56.171]:39014)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <db@HIDDEN>) id 1nGfIh-0007U9-Gu
 for 53797 <at> debbugs.gnu.org; Sun, 06 Feb 2022 06:01:47 -0500
Received: from smtp2.mailbox.org (smtp2.mailbox.org [80.241.60.241])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-201.mailbox.org (Postfix) with ESMTPS id 4Js5ts3jDYz9sQr;
 Sun,  6 Feb 2022 12:01:41 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=minikn.xyz; s=MBO0001; 
 t=1644145299;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=uZcBgtn3m9pzV0DxHh7tW4Z8pXWGlrUFGF6QZLG2jz0=;
 b=Kpa1KW72drHqBMSlQPH6VNV/nI3J5Jbruro2W4oVoqjG8V2H+SPVRHDd19HDNhE2hndLAR
 0/hS8JFW42j8RJnAUi8QGGdgTlWHUteDeBcwdgzQBF9wvT03MEdrk1f2ICswfmgFpQLIus
 lZu5jh795Lop40pTbOzL9bn35BJj8IrLOcqwbcTCAqfXHhujx5eF2o9NI/LGoFNlZpAIPR
 gIFpSU4coiDvLg+6b4K3YHQObCdbbOS4Yv3RmQR4u5RRsJ/3boRAKlZkqO+z9SSKHwwPwq
 Q8i8sK0XKiXhvvFw8/Pf+XbKwgYkRNWpgD4wgPPS+oz8olUUSsBX2fnH14X3tw==
From: Demis Balbach <db@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>, 53797 <at> debbugs.gnu.org
Subject: Re: [bug#53797] [PATCH] gnu: Add emacs-app-launcher.
In-Reply-To: <9f7b5e46ede93da10a206537883963de04a2c7ea.camel@HIDDEN>
References: <20220205112019.31624-1-db@HIDDEN>
 <9f7b5e46ede93da10a206537883963de04a2c7ea.camel@HIDDEN>
Date: Sun, 06 Feb 2022 12:01:34 +0100
Message-ID: <87k0e8gsxd.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 1.4 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 2022-02-05 13:20,
 Maxime Devos wrote: > Demis Balbach schreef
 op za 05-02-2022 om 12:20 [+0100]: >> +(define-public emacs-app-launcher
 > > app-launcher.el says it includes code from the Counsel package by Oleh
 > Krehel and the counsel sou [...] 
 Content analysis details:   (1.4 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [80.241.56.171 listed in list.dnswl.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: minikn.xyz (xyz)]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [80.241.56.171 listed in wl.mailspike.net]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 53797
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.4 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On 2022-02-05 13:20, Maxime Devos wrote: > Demis Balbach schreef
    op za 05-02-2022 om 12:20 [+0100]: >> +(define-public emacs-app-launcher
   > > app-launcher.el says it includes code from the Counsel package by Oleh
    > Krehel and the counsel sou [...] 
 
 Content analysis details:   (1.4 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [80.241.56.171 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [80.241.56.171 listed in wl.mailspike.net]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 SPF_NONE               SPF: sender does not publish an SPF Record
  1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: minikn.xyz (xyz)]
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On 2022-02-05 13:20, Maxime Devos wrote:

> Demis Balbach schreef op za 05-02-2022 om 12:20 [+0100]:
>> +(define-public emacs-app-launcher
>
> app-launcher.el says it includes code from the Counsel package by Oleh
> Krehel and the counsel source files have "Copyright (C) YEARS Foo"
> lines, but app-launcher.el doesn't have those.
>
> IIRC, the GPL has a clause that says you need to preserve copyright
> lines, so this looks like a violation of the license to me.  Can they
> be re-added upstream?
>
> Greetings,
> Maxime.

I don't know if that's a violation sorry. Regarding adding it
upstream. I don't think so. At least judging by the activity of the
maintainer. See here:
https://github.com/SebastienWae/app-launcher/issues

There are open issues starting a year ago and the author hasn't replied
to any of them. But I could try my luck and contact them to add the
copyright notices.

=2D-=20
Best regards / Mit freundlichen Gr=C3=BC=C3=9Fen,
Demis Balbach

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJCBAEBCgAsFiEEz9zHmXzCRksxyCGU8X3bmMw8QFwFAmH/qo4OHGRiQG1pbmlr
bi54eXoACgkQ8X3bmMw8QFzpfA//eMH2A0ZQ2Hm3N95YvEjSebYxJtvAQPpoSWEO
DU3ijs5lhR+288ENqWIHCvF7gEsvyLL3i8h9q+jbyVyUlIAHSEgch4fEF6F4xHF1
+/rs4JffYk4YxlR2/mCqAyC5DZeYPFNTiCLq2dSEPfG3G/6xzLv2sdTELEi9PKXM
ouHwiFyo5Au2LgirhKajPeYSGxYY2uyRVaH5m7xo4iKGBY/sdcwo5TN0XCdi0JpI
uu7ZRXZmS4nZc+NHzeuIoQeGHZoEmJ6JwRZvieujkOgXDTf53hrN+rofvD4uEMFM
ZZc12z3IUklETxtS47zvG9XkaQMcBqbO+KEgqdpR4iCTEPnaRfQAQsN8ZMfNhGA8
dW2YFYH9qrG9gqczJOGrIZdswzEHNxBjuK0jBLNbjTGUoEupEzL78ZU0qDp4u5Yo
vlRJU/osGSvo6KCsQI7N0vq7XR/9kovns2UjFRlqPpJ4W+bS6QehmovLt2rkd3VK
DplON/KtZFQV3Gox5dClR4ZqZyxwlcJwX+83MFnzt0+JY1kiKlbJSHjToJSPmW4B
wcLH5oO4y5InPk1Oyz3b3jtXAYd1d0FbjTKmgvmx/jTw3xTmgetw/07sv5MTwc/n
8odlX20Tg7fh0srykzD9RqZ0dxeKGGDmSyd/pCbi+psE0j9r3iXsOU6mER90VpWK
/UvJzyU=
=ldWc
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#53797; Package guix-patches. Full text available.

Message received at 53797 <at> debbugs.gnu.org:


Received: (at 53797) by debbugs.gnu.org; 6 Feb 2022 10:59:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 06 05:59:44 2022
Received: from localhost ([127.0.0.1]:36601 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nGfGi-0007P4-8i
	for submit <at> debbugs.gnu.org; Sun, 06 Feb 2022 05:59:44 -0500
Received: from mout-p-102.mailbox.org ([80.241.56.152]:33530)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <db@HIDDEN>) id 1nGfGg-0007Op-C8
 for 53797 <at> debbugs.gnu.org; Sun, 06 Feb 2022 05:59:42 -0500
Received: from smtp102.mailbox.org (smtp102.mailbox.org [80.241.60.233])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-102.mailbox.org (Postfix) with ESMTPS id 4Js5rS0Zt3z9sHY;
 Sun,  6 Feb 2022 11:59:36 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=minikn.xyz; s=MBO0001; 
 t=1644145174;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=3F2lwGpGwryhnXioMHeBz1oltxNBlejREjlRZ78NYVg=;
 b=RwiUdobK7hCpo4E1n+Z9ZLj0a/M++vW+y7+/L1VP6Iu/qqnq4SDU7PmSycStRl4HrouU1e
 CiRBnH+p9hv6Vi28JwAVrerurqGV7Pok5JZ0xfu9airEsWeRdUHFA8VdUcy1TkQH9Ajn6l
 zQfcewlOXZOmnkRN14+QQ51B4Mn2AYX7C7eZNHE9BoriSvHazxSk4CjspOAMx5h1pHKxIA
 zpqmYjLrePCQ+6+w/U7tkAt86QEMt9J/IYYcsYQqR+wajo38jXvDUgfFvGHgLnkdgQAw/Q
 NSMFeWdd7fx0y1HarNJLJWfnoAnxCDK3orWXvrKeufkX7IOSW9CSv3lFXu10Kg==
From: Demis Balbach <db@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>, 53797 <at> debbugs.gnu.org
Subject: Re: [bug#53797] [PATCH] gnu: Add emacs-app-launcher.
In-Reply-To: <6cb7ff5c33fee0fcde3dfb0ea77b5947f183120e.camel@HIDDEN>
References: <20220205112019.31624-1-db@HIDDEN>
 <6cb7ff5c33fee0fcde3dfb0ea77b5947f183120e.camel@HIDDEN>
Date: Sun, 06 Feb 2022 11:59:31 +0100
Message-ID: <87mtj4gt0s.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 1.4 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 2022-02-05 13:16,
 Maxime Devos wrote: > Demis Balbach schreef
 op za 05-02-2022 om 12:20 [+0100]: >> +(define-public emacs-app-launcher
 > > app-launcher.el has (require 'xdg) (require 'cl-seq), > are these built-in
 to Emacs or do they need [...] 
 Content analysis details:   (1.4 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [80.241.56.152 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [80.241.56.152 listed in wl.mailspike.net]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: minikn.xyz (xyz)]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 53797
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.4 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On 2022-02-05 13:16, Maxime Devos wrote: > Demis Balbach schreef
    op za 05-02-2022 om 12:20 [+0100]: >> +(define-public emacs-app-launcher
   > > app-launcher.el has (require 'xdg) (require 'cl-seq), > are these built-in
    to Emacs or do they need [...] 
 
 Content analysis details:   (1.4 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [80.241.56.152 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [80.241.56.152 listed in wl.mailspike.net]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 SPF_NONE               SPF: sender does not publish an SPF Record
  1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: minikn.xyz (xyz)]
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On 2022-02-05 13:16, Maxime Devos wrote:

> Demis Balbach schreef op za 05-02-2022 om 12:20 [+0100]:
>> +(define-public emacs-app-launcher
>
> app-launcher.el has (require 'xdg) (require 'cl-seq),
> are these built-in to Emacs or do they need to be added to propagated-
> inputs?
>
> Greetings,
> Maxime.
>

I think they are built into emacs. I had no trouble with the package
definition.

=2D-=20
Best regards / Mit freundlichen Gr=C3=BC=C3=9Fen,
Demis Balbach

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJCBAEBCgAsFiEEz9zHmXzCRksxyCGU8X3bmMw8QFwFAmH/qhMOHGRiQG1pbmlr
bi54eXoACgkQ8X3bmMw8QFzWlw//R9z5rqkZOoAY4CHiSTPNnQl7dIg4QyEy5Z7D
5aL5FkzvXrEJD2/3rHkU4xe+uTHio7eUSCb0BXQ7P5py/1/mrfdN7e5o7TlO3lua
wmsNTZjZHmxvqQZR3jWOYpsy+A5j4HrR3iVCgvWnR4nKcWnqaoTdpCeJYA9LqCrj
50CWiB8XTDxLEYnhTtkmel2Fl6Z0nKehHT9HTKv66eLVe9GB4SzhLO15Kyre9Bm8
v2CiGphPnMdqdS6Uv7EY6q1Wdv8G2316oaxWHaiA+emD4NdTyvHjZAMzJZwprndC
q+c3AivH2o9KPjhID/sWjR98lVCembEAcUGiELsC1n5w4e612BViEQj5uU65ImXe
EF7WPewg9tTSK9nJN5lhwHjNyPLI88LXK1/CMifFxkfKlQ5eLIBHLI+Zxgorvhhc
RZekM6/+OdqO5b7/bIrXzQzro38n6RTREsLBM+J+5Tklm8K9rhJD9vaZbXTl+tLy
Kbkw38yGGrj1GlaAKex4KvOK2CdFqkwUxDS6Z3a3zuGafqFYpI0q/i5Mdc5FCn7/
c1baOm/v/s9DQFlCTs0kNYZMOa6uoKcQmdYu+/10lLubRWg+MLtAZK9XB3RSuB3a
RAvUQqqlohP4cu0Gpz2CvzKhwktKLgnash8bCHb7PDsi7IdVVbk8QHcWPBs1KmTu
r7MScsE=
=H3+L
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#53797; Package guix-patches. Full text available.

Message received at 53797 <at> debbugs.gnu.org:


Received: (at 53797) by debbugs.gnu.org; 6 Feb 2022 10:59:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 06 05:59:17 2022
Received: from localhost ([127.0.0.1]:36597 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nGfG2-0007Np-53
	for submit <at> debbugs.gnu.org; Sun, 06 Feb 2022 05:59:17 -0500
Received: from mout-p-201.mailbox.org ([80.241.56.171]:38826)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <db@HIDDEN>) id 1nGfFz-0007NQ-U8
 for 53797 <at> debbugs.gnu.org; Sun, 06 Feb 2022 05:59:00 -0500
Received: from smtp102.mailbox.org (smtp102.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:3:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-201.mailbox.org (Postfix) with ESMTPS id 4Js5qd378zz9sRx;
 Sun,  6 Feb 2022 11:58:53 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=minikn.xyz; s=MBO0001; 
 t=1644145131;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=NpCIl2nJunLubZIqcjs8iw0Z+e9OWZobnPvNOKbzVeM=;
 b=ifQ6ZLNNiIyIZZypmZLldMz6tLr714F2iv73ocCFWnjNffDkDxJLhFSfuju7pcUDqAtWJG
 z3rpDgJNQeezifdJBeqaM0wM6rgGyUNYnBFdflGREn/iqw+gGITWVsfuZykAqT3DSMZ6zE
 J6NbG9Q+kBZMYcCtE0cIIVIY8typu7FqAMmFOSbCvy7YpL7E4sF8tloC90Byv2nIqiTl0i
 fJG7qLo66xBFpiOHbh08xtONe/tqi/aJs1mgvRSOf5qKiFAHs7uoYlFrzJ/k1E9+rb3Ekz
 N1RMCOv9+rkyrqIafPZIkUfzXcRU8gQ3AHvd2zPQKMNF/LRpKEAGAI4FA46gcw==
From: Demis Balbach <db@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>, 53797 <at> debbugs.gnu.org
Subject: Re: [bug#53797] [PATCH] gnu: Add emacs-app-launcher.
In-Reply-To: <3e104d37639ad8725993b339fc636ec48d6df2cf.camel@HIDDEN>
References: <20220205112019.31624-1-db@HIDDEN>
 <3e104d37639ad8725993b339fc636ec48d6df2cf.camel@HIDDEN>
Date: Sun, 06 Feb 2022 11:58:48 +0100
Message-ID: <87pmo0gt1z.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 1.4 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On 2022-02-05 13:13, Maxime Devos wrote: > Demis Balbach schreef
    op za 05-02-2022 om 12:20 [+0100]: >> +       "Use Emacs an app launcher")
    > > Seems ingrammatical, "Use Emacs as an app launcher" would be better >
    though still rather v [...] 
 
 Content analysis details:   (1.4 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [80.241.56.171 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [80.241.56.171 listed in wl.mailspike.net]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 SPF_NONE               SPF: sender does not publish an SPF Record
  1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: minikn.xyz (xyz)]
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 53797
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On 2022-02-05 13:13, Maxime Devos wrote: > Demis Balbach schreef
    op za 05-02-2022 om 12:20 [+0100]: >> +       "Use Emacs an app launcher")
    > > Seems ingrammatical, "Use Emacs as an app launcher" would be better >
    though still rather v [...] 
 
 Content analysis details:   (2.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 SPF_NONE               SPF: sender does not publish an SPF Record
  1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: minikn.xyz (xyz)]
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On 2022-02-05 13:13, Maxime Devos wrote:

> Demis Balbach schreef op za 05-02-2022 om 12:20 [+0100]:
>> +=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 "Use Emacs an app launcher")
>
> Seems ingrammatical, "Use Emacs as an app launcher" would be better
> though still rather vague.
>
> Greetings,
> Maxime.
>

This is indeed a mistake. But please, if you have a better
synopsis/description in mind - share it. I'm always bad at these
things. Especially since the package itself doesn't provide a whole lot
of documentation since it's so simple.

=2D-=20
Best regards / Mit freundlichen Gr=C3=BC=C3=9Fen,
Demis Balbach

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJCBAEBCgAsFiEEz9zHmXzCRksxyCGU8X3bmMw8QFwFAmH/qegOHGRiQG1pbmlr
bi54eXoACgkQ8X3bmMw8QFzN6Q//ZngL2PUSFx2wRA1YDj0dczo74J/eW0BLJDNG
CjZ13i3AuwtZ9hzORO4BuXDcJvMzxEBfWCz2FdMHRf2YIn0WttQ6f74yDDQugANy
hAJdojW2bN1vc7xJ7crQrBeQ5N2sJPiGoVW0LW3y2tIFNyfVmxHRzBiz+a80861d
h+qyeM717zk73qBslPf22pEphuwL7OxSv/RilzQL6/s3zRgiGKA5Cdbgp5ZGnUi8
jNEHgBxkXnxt/+PE0SsMKTN7wZLBvfnOF3QPcHkT4o1eh5xDfe3bk80s69zIBKlS
wWvwoMBF8jHx0/JnsuhLfWQCwEXYlzNHyBx943m10fLWF2ca8SezPPeoK48KBki+
JRMP11LgcLrnbFG5lYrIh1IJpX81WsY4QCGnTpueUpypt5ltTdSRTlKO91L9RFE/
sAd7tuFLNRKNoKZfF3OEnrzSI3MJKynRqYmhMAv59+EFo8a9LvZeWokDGOspE/Es
nH+qGkxwHK5MCRDH+i0owe2tklHhdzUXuKVNmT9Ghqgh/Ek3B+yvjpgo8Rp4XXMK
YAcSU+YcYiui7s/zWsfn8WYZNCxIPqR7oKfP0EDRWbut8djE70OWMBk3f5YJMyx3
4lagrDVdZSWptiaNJeracG6V2fOk/ZHFG8HQXR5442jwGdyzeS3ZoaorwCaA9ntu
MvZJFJg=
=YgWS
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#53797; Package guix-patches. Full text available.

Message received at 53797 <at> debbugs.gnu.org:


Received: (at 53797) by debbugs.gnu.org; 6 Feb 2022 10:56:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 06 05:56:04 2022
Received: from localhost ([127.0.0.1]:36592 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nGfDA-0007JX-NH
	for submit <at> debbugs.gnu.org; Sun, 06 Feb 2022 05:56:04 -0500
Received: from mout-p-103.mailbox.org ([80.241.56.161]:49708)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <db@HIDDEN>) id 1nGfD8-0007J0-R7
 for 53797 <at> debbugs.gnu.org; Sun, 06 Feb 2022 05:56:03 -0500
Received: from smtp202.mailbox.org (smtp202.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:4:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-103.mailbox.org (Postfix) with ESMTPS id 4Js5mD0Rcjz9sRW;
 Sun,  6 Feb 2022 11:55:56 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=minikn.xyz; s=MBO0001; 
 t=1644144953;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=2qw65dOJobLGe/Lqu/sfGNpys794HWvSPXgln/P9I1U=;
 b=0HA45T8kSB1Nt8M5/t5//L6Z5WDz9AQQE/nJFuYJYcsPPFdhwr1xOP07f4X8M0cXXwwugu
 n8A9jDvq5WH5Dc7C75haABDPEIiCBRJZFMI0bfSZZnNp0eoe6QGRV4NbBYyTzdOy8AvsIp
 dNbE1Ood414PnkX3Tkiw2Ffeg8FA4jxDF7YxZ7CyyxECYvOzUk2E49NmNqKN4jY5DxBzkm
 YIZp+RKnSevgPyoCtotfVeOU1dtSgJsWxiqb4oU7TYthkgCroWilV5XrExm/TKFiSxlo9t
 Vz5hAC1GCwOFkvAJXb2qMxkvylbOD622/VDMn/OnwGQCiS1kj3yEyVCj2uL8lQ==
From: Demis Balbach <db@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>, 53797 <at> debbugs.gnu.org
Subject: Re: [bug#53797] [PATCH] gnu: Add emacs-app-launcher.
In-Reply-To: <a0b6cdf10a282a84a781d230b0368296fba3b3b3.camel@HIDDEN>
References: <20220205112019.31624-1-db@HIDDEN>
 <a0b6cdf10a282a84a781d230b0368296fba3b3b3.camel@HIDDEN>
Date: Sun, 06 Feb 2022 11:55:49 +0100
Message-ID: <87sfswgt6y.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 1.4 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On 2022-02-05 13:05, Maxime Devos wrote: > Demis Balbach schreef
    op za 05-02-2022 om 12:20 [+0100]: >> +       "app-launcher defines
    the app-launcher-run-app command which uses Emacs >> +standard completion
    feature to select an applica [...] 
 
 Content analysis details:   (1.4 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [80.241.56.161 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [80.241.56.161 listed in list.dnswl.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 SPF_NONE               SPF: sender does not publish an SPF Record
  1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: minikn.xyz (xyz)]
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 53797
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.4 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On 2022-02-05 13:05, Maxime Devos wrote: > Demis Balbach schreef
    op za 05-02-2022 om 12:20 [+0100]: >> +       "app-launcher defines
    the app-launcher-run-app command which uses Emacs >> +standard completion
    feature to select an applica [...] 
 
 Content analysis details:   (1.4 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [80.241.56.161 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [80.241.56.161 listed in wl.mailspike.net]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 SPF_NONE               SPF: sender does not publish an SPF Record
  1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: minikn.xyz (xyz)]
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On 2022-02-05 13:05, Maxime Devos wrote:

> Demis Balbach schreef op za 05-02-2022 om 12:20 [+0100]:
>> +=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 "app-launcher defines the app-laun=
cher-run-app command which uses Emacs
>> +standard completion feature to select an application installed on your =
machine
>> +and launch it.")
>
> What does =E2=80=98launching=E2=80=99 mean here?  Is =E2=80=98launching a=
n application=E2=80=99
> functionally the same as running it (with 'fork'+'exec' or 'system' or
> whatever)?  Does it have extra bells and whistles?
>
> It's a super vague word, e.g. when Xiden has been announced on guix-
> devel, one of the words that kept being repeated was 'launcher', but it
> wasn't defined anywhere in its practically empty manual. (Nowadays
> there's actually a manual and it does define launchers, but it didn't
> use to.)=20
>
> Greetings,
> Maxime.

Hello. I don't know if that's what you wanted to hear but technically,
the script is a big wrapper around
`call-process-shell-command'. `app-launcher--action-function' can be set
to whatever function to execute on the selected candidate, by default
this is set to `app-launcher--action-function-default' which ultimately
runs `call-process-shell-command'. See:
https://github.com/SebastienWae/app-launcher/blob/main/app-launcher.el#L167

Is this enough information?

=2D-=20
Best regards / Mit freundlichen Gr=C3=BC=C3=9Fen,
Demis Balbach

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJCBAEBCgAsFiEEz9zHmXzCRksxyCGU8X3bmMw8QFwFAmH/qTUOHGRiQG1pbmlr
bi54eXoACgkQ8X3bmMw8QFxtnA/9Fy8+sXxci8QiqbkNuYo0+VGU5rVCtmRQyppP
pjkCZ21V3agkCR/FnCj6LNTSQDJqbMKt9QHjT9bYFOWG1xzeJfCpBG6yZfNq9oPA
VNBiKBndMMTe7SZmHqCDAw7gNiLf0GD2WhMAv5F6F/ji+gmRrRfgoNKUAo5fmkDR
QgHUgjmKjwiZ2BuYkOQKYDlGU/5Gix5nNmP28jSg388QYSHfIITK7WbwAbwnnYSA
TkWKZC+nARQQSEuvuIH2eWeJhEveru6YQ0svMXY6x9AhwNtAIqKj8DkKtCimz0sn
OkFFcNiEe7qNk8EwwClsqYLg64kJE4PKzV/p/2Cy2Lj6V8fGp+LllWtDyt2vO6KP
5lHicLbEXCLRLmM4+lp7yUV+tGj4+/uU/BQh6hYpbucw1x8Qqj18gIA05zds5+PR
teVKaEnx86hqdS5ev4VvHvHwPSJDW7r/qLCWBsdZgQwTmxxnC/4RDfJClnGe7tz0
vzgcWEhsnQGifUWvhAlVaxu7dASza1DA4XY9CxDksMiD0Z9BAcnWrMjmlAjBflir
JfZTR/DoJNZKMOanHzwPWsyBsV/wxI66wOpRVsne1AtAQKjjvyZUgYeBGr7FP8qi
j7Au3yHhQVPTYX5aDUnxJnrEqUXhSmwuw7ceU9HS/DQZrlbFMLBp+1dSUaq3jwSA
4H64BbY=
=xf4C
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#53797; Package guix-patches. Full text available.

Message received at 53797 <at> debbugs.gnu.org:


Received: (at 53797) by debbugs.gnu.org; 5 Feb 2022 12:20:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 05 07:20:10 2022
Received: from localhost ([127.0.0.1]:33998 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nGK30-0000a6-DG
	for submit <at> debbugs.gnu.org; Sat, 05 Feb 2022 07:20:10 -0500
Received: from albert.telenet-ops.be ([195.130.137.90]:57822)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nGK2y-0000Zv-92
 for 53797 <at> debbugs.gnu.org; Sat, 05 Feb 2022 07:20:09 -0500
Received: from [172.20.10.9] ([188.189.241.204])
 by albert.telenet-ops.be with bizsmtp
 id rQL62600F4RJVgC06QL75T; Sat, 05 Feb 2022 13:20:07 +0100
Message-ID: <9f7b5e46ede93da10a206537883963de04a2c7ea.camel@HIDDEN>
Subject: Re: [bug#53797] [PATCH] gnu: Add emacs-app-launcher.
From: Maxime Devos <maximedevos@HIDDEN>
To: Demis Balbach <db@HIDDEN>, 53797 <at> debbugs.gnu.org
Date: Sat, 05 Feb 2022 13:20:06 +0100
In-Reply-To: <20220205112019.31624-1-db@HIDDEN>
References: <20220205112019.31624-1-db@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-d7GCgn4kS9KSdBaeVywu"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1644063607; bh=fT+QGJMAMWuV0eqzpPa5Mh7GU8zuVOr0XIEHdV7trRg=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=CHx4dUB1CeBtABb93nGYz2B/VlpE1atBZokLfEFRYb7BTjf6A14g+QMa2cPtoF16g
 1OgxRD/Yv7nNDR6hhs9yL9zDWLA7Tah2Dvj4/ULtkj3wEMtic5L38I0aX0/9HaRXch
 o0SqzAgFVCRHxGZwDJx5enl5g+Ii8GMKnB061vlFzWuyqO9FVN2/9n3aKvtLytGtAt
 7L9A1/1U/1plIibleVG9n9ipY7wCyIR0nVLXMCymcnTOAu5PdG2KdfA81GtYpHVZ1Q
 eR3pSVk91d7f1OF4O+5pe626VszQEPRjJBZcWBvJPDznkgVw6Jlp9vmjO5k1CEybo4
 r/R9SawtrvSxw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53797
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-d7GCgn4kS9KSdBaeVywu
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Demis Balbach schreef op za 05-02-2022 om 12:20 [+0100]:
> +(define-public emacs-app-launcher

app-launcher.el says it includes code from the Counsel package by Oleh
Krehel and the counsel source files have "Copyright (C) YEARS Foo"
lines, but app-launcher.el doesn't have those.

IIRC, the GPL has a clause that says you need to preserve copyright
lines, so this looks like a violation of the license to me.  Can they
be re-added upstream?

Greetings,
Maxime.

--=-d7GCgn4kS9KSdBaeVywu
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYf5rdhccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7qM/AQCVgZjAN3h/hGUUinN6H0NpQFmb
0IQdy8iPlnmc/VNFsAEA6wgl2JGFA0y5PmRfSmVu6ZyQGjZfTmhuOpRpiUXmMwo=
=Wye1
-----END PGP SIGNATURE-----

--=-d7GCgn4kS9KSdBaeVywu--





Information forwarded to guix-patches@HIDDEN:
bug#53797; Package guix-patches. Full text available.

Message received at 53797 <at> debbugs.gnu.org:


Received: (at 53797) by debbugs.gnu.org; 5 Feb 2022 12:16:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 05 07:16:16 2022
Received: from localhost ([127.0.0.1]:33992 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nGJzD-0000UX-U5
	for submit <at> debbugs.gnu.org; Sat, 05 Feb 2022 07:16:16 -0500
Received: from albert.telenet-ops.be ([195.130.137.90]:54234)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nGJzD-0000UQ-8x
 for 53797 <at> debbugs.gnu.org; Sat, 05 Feb 2022 07:16:15 -0500
Received: from [172.20.10.9] ([188.189.241.204])
 by albert.telenet-ops.be with bizsmtp
 id rQGE260084RJVgC06QGEKb; Sat, 05 Feb 2022 13:16:14 +0100
Message-ID: <6cb7ff5c33fee0fcde3dfb0ea77b5947f183120e.camel@HIDDEN>
Subject: Re: [bug#53797] [PATCH] gnu: Add emacs-app-launcher.
From: Maxime Devos <maximedevos@HIDDEN>
To: Demis Balbach <db@HIDDEN>, 53797 <at> debbugs.gnu.org
Date: Sat, 05 Feb 2022 13:16:14 +0100
In-Reply-To: <20220205112019.31624-1-db@HIDDEN>
References: <20220205112019.31624-1-db@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1644063374; bh=/MpMsT2KGtzR2fQos3cMNa24EFOsTZ5klQkYtZLW0r4=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=JAkY3qd1RzySfaMi8yan/DQkB3Ss7iMK0fU6WwR/paFWq//p+NT5iC3NZmsHosI0N
 lLGvL5055yf3tnlTRgrMiFxvXXpmgQBJPkliIu6ZM7uZa8ysRRuj1nEgsu2Mg0K6v5
 EcTfQo4u9eVlv/MgzB4gnjR7bLtMGJ/WQo74RJCLihAGHrUwI4o9MdPCwdGSrLKUKh
 iLwYqoazL3Y7WQsF7SBRbRXTJ4kMwmZBtpkNnVlwkYU/X1UOhBKGMa/Y1gdQncBqWI
 weHY+WZANm//M5hhwCuYBI8JJa3kgg1gT35zG5zdB9OKXEDIkiaLfz+DXTpCE+D0av
 4S0j4pBcKnpkg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53797
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Demis Balbach schreef op za 05-02-2022 om 12:20 [+0100]:
> +(define-public emacs-app-launcher

app-launcher.el has (require 'xdg) (require 'cl-seq),
are these built-in to Emacs or do they need to be added to propagated-
inputs?

Greetings,
Maxime.





Information forwarded to guix-patches@HIDDEN:
bug#53797; Package guix-patches. Full text available.

Message received at 53797 <at> debbugs.gnu.org:


Received: (at 53797) by debbugs.gnu.org; 5 Feb 2022 12:14:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 05 07:14:52 2022
Received: from localhost ([127.0.0.1]:33980 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nGJxr-0000RH-UT
	for submit <at> debbugs.gnu.org; Sat, 05 Feb 2022 07:14:52 -0500
Received: from laurent.telenet-ops.be ([195.130.137.89]:38880)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nGJxq-0000R8-6k
 for 53797 <at> debbugs.gnu.org; Sat, 05 Feb 2022 07:14:50 -0500
Received: from [172.20.10.9] ([188.189.241.204])
 by laurent.telenet-ops.be with bizsmtp
 id rQEp260014RJVgC01QEp90; Sat, 05 Feb 2022 13:14:49 +0100
Message-ID: <322dbf86e0d5275843def9765f83c5fd7ac69a73.camel@HIDDEN>
Subject: Re: [bug#53797] [PATCH] gnu: Add emacs-app-launcher.
From: Maxime Devos <maximedevos@HIDDEN>
To: Demis Balbach <db@HIDDEN>, 53797 <at> debbugs.gnu.org
Date: Sat, 05 Feb 2022 13:14:48 +0100
In-Reply-To: <d970bde33d3c9ce262ca94ea07f004df7ccd6d05.camel@HIDDEN>
References: <20220205112019.31624-1-db@HIDDEN>
 <d970bde33d3c9ce262ca94ea07f004df7ccd6d05.camel@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-jZhygOIuN0/SWLoKo5yD"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1644063289; bh=xtug/jvDL3wDzbrMVp11Zla7CeH9iInbiQ/ZfBWZUiw=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=BAEX3JyJUR4Kec1m1i+rNX509gAfLMIFeo8oOvIQBOX46M+226lw6XA0y9ToDrHuf
 m7Pe4m3xMUrn7rPMIHO6djwvzYqxCJj1pIWIeeG9xjKTwnEkTh6taW21It9byXp/M6
 MXWJipzaIEWYF600oLYVG2uuukGR48LThgd1ZspNzvpoLWVQw8BDFeJ3/zkOIcK/ZU
 3GPwgXt87O/rOKhI+C024dcTN3B08qlHgS6lpOaqopD10iF5QBDIPJtlbn9yD6ml6p
 pyN4xPQ1co5jC6Ws2oaUzYrpsm40q+nhF9SptTjl/VooRPTCFoJLpBZq2xiBjRwd6r
 Z2TzOgfVtuWiA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53797
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-jZhygOIuN0/SWLoKo5yD
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Maxime Devos schreef op za 05-02-2022 om 13:12 [+0100]:
> It's the first version in Guix, so revision should be "0."
> Also, version "0.1" seems to be incorrect here, since there
> aren't any releases at all.=C2=A0 So I'd start at "0.0".

Nevermind, I now see 'app-launcher.el' says Version: 0.1.

--=-jZhygOIuN0/SWLoKo5yD
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYf5qOBccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7hpyAQC4NeVQ3bYptEXDGt1d6Q0i4Je9
/ONhF382bBSwO1cRpgEAwRtYId8wtQObx9VgqeY+9VtolGP6JYWOWppw4ZodLw0=
=iJC6
-----END PGP SIGNATURE-----

--=-jZhygOIuN0/SWLoKo5yD--





Information forwarded to guix-patches@HIDDEN:
bug#53797; Package guix-patches. Full text available.

Message received at 53797 <at> debbugs.gnu.org:


Received: (at 53797) by debbugs.gnu.org; 5 Feb 2022 12:14:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 05 07:14:02 2022
Received: from localhost ([127.0.0.1]:33976 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nGJx4-0000Q6-IZ
	for submit <at> debbugs.gnu.org; Sat, 05 Feb 2022 07:14:02 -0500
Received: from albert.telenet-ops.be ([195.130.137.90]:51752)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nGJx3-0000Pc-3z
 for 53797 <at> debbugs.gnu.org; Sat, 05 Feb 2022 07:14:01 -0500
Received: from [172.20.10.9] ([188.189.241.204])
 by albert.telenet-ops.be with bizsmtp
 id rQDz2600Q4RJVgC06QDzrT; Sat, 05 Feb 2022 13:14:00 +0100
Message-ID: <3e104d37639ad8725993b339fc636ec48d6df2cf.camel@HIDDEN>
Subject: Re: [bug#53797] [PATCH] gnu: Add emacs-app-launcher.
From: Maxime Devos <maximedevos@HIDDEN>
To: Demis Balbach <db@HIDDEN>, 53797 <at> debbugs.gnu.org
Date: Sat, 05 Feb 2022 13:13:59 +0100
In-Reply-To: <20220205112019.31624-1-db@HIDDEN>
References: <20220205112019.31624-1-db@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1644063240; bh=7hSPKMG+7zKyP087Ry4X9rW79MfpaE0+cmOWqBCAFMU=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=hUjLsylf2LGLRsUzUerKMLjTnPNMMG/UVWOYTAiay0iyWtqsXkkD8sMydW0BNszn9
 G0BEd7d1JNAIkqv1q7oWdmBEeswZmg9OQPsXUOW2En3UX7eCmKFHOXgnvRAmOHTzxP
 G6TgEdmBdPGRGukgPOkm4COmwa7n+/KSvGooOz13MMipUFXAOOl6ak+TFGIDGo+d7X
 7/7cZjHv/UzYbTqvIBm8GrxNYh7CMk5F4A3fIV0oj0nxPiBjiaW8o/GAakNFrvfe3X
 uf/FHCLnuAq6k+HQBYs7hFBbSwlFsH7vhzq2G9tJdgdT9qIfzK9bfSyRhF1kmQ2wt/
 yybtZE+78KpLQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53797
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Demis Balbach schreef op za 05-02-2022 om 12:20 [+0100]:
> +       "Use Emacs an app launcher")

Seems ingrammatical, "Use Emacs as an app launcher" would be better
though still rather vague.

Greetings,
Maxime.





Information forwarded to guix-patches@HIDDEN:
bug#53797; Package guix-patches. Full text available.

Message received at 53797 <at> debbugs.gnu.org:


Received: (at 53797) by debbugs.gnu.org; 5 Feb 2022 12:13:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 05 07:13:10 2022
Received: from localhost ([127.0.0.1]:33970 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nGJwA-0000OZ-J6
	for submit <at> debbugs.gnu.org; Sat, 05 Feb 2022 07:13:10 -0500
Received: from laurent.telenet-ops.be ([195.130.137.89]:37012)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nGJw3-0000O3-2n
 for 53797 <at> debbugs.gnu.org; Sat, 05 Feb 2022 07:13:05 -0500
Received: from [172.20.10.9] ([188.189.241.204])
 by laurent.telenet-ops.be with bizsmtp
 id rQCx260294RJVgC01QCynv; Sat, 05 Feb 2022 13:12:58 +0100
Message-ID: <d970bde33d3c9ce262ca94ea07f004df7ccd6d05.camel@HIDDEN>
Subject: Re: [bug#53797] [PATCH] gnu: Add emacs-app-launcher.
From: Maxime Devos <maximedevos@HIDDEN>
To: Demis Balbach <db@HIDDEN>, 53797 <at> debbugs.gnu.org
Date: Sat, 05 Feb 2022 13:12:57 +0100
In-Reply-To: <20220205112019.31624-1-db@HIDDEN>
References: <20220205112019.31624-1-db@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-q6xmG+m2ln41xwa6gITp"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1644063178; bh=9V58Whw7Jm/ik4ws5EAs03+PIFpIpFs6tR4+cb3FqIo=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=QgDvACuie9e902AMHJi1jGWtRQDw8KkbxNEdBV0XlbwdBbCaVfKT2rYryduHDvK0s
 MrQw9g+wa1wtcVi4zghhWdhQLgyagQ0Gn/9HEiDnnpK3X0pAuYkf54dp76b4z15fzb
 PlUXcyV3GL/iM67N1TF5iP4v+HLU0S8133BNCmaC+Q97g4tdmBLh2DrzipODsX1rWR
 VpK0FazmJYMfx+9uvP3/AD/RrGxAPjnU/8J+aW6zhSgUWl8skb1nwE3BQtrgo///uv
 kvx5YytODSzxthN/XlEA/WKhuRtZQJ23NSpJz0XOGQBlyXc6thqVwgs+jKtmAPN8q7
 OCEXX1seRRBIw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53797
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-q6xmG+m2ln41xwa6gITp
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Demis Balbach schreef op za 05-02-2022 om 12:20 [+0100]:
> +=C2=A0 (let ((commit "80a9ed37892ee6e21fe44487ed11f66a15e3f440")
> +=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (revision "1")
> +=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (version "0.1"))

It's the first version in Guix, so revision should be "0."
Also, version "0.1" seems to be incorrect here, since there
aren't any releases at all.  So I'd start at "0.0".

I could be wrong, but I don't think that the auto-updater
(guix refresh -u) understands let-bound versions (let-bound commits and
revisions are ok though), and you're only using the 'version' variable
in a single place, so I'd move it to the 'version' field of the package
record.

Greetings,
Maxime.

--=-q6xmG+m2ln41xwa6gITp
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYf5pyRccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7levAP4uV4kLWNqJvWd1/zZDlzZpb67Z
lKuN0aHwH6Xp/HKURQD/b8FlROEV+05tE/J3DUeIjSV/LYXFWgqEmEX7x2Wo3QQ=
=y2ZC
-----END PGP SIGNATURE-----

--=-q6xmG+m2ln41xwa6gITp--





Information forwarded to guix-patches@HIDDEN:
bug#53797; Package guix-patches. Full text available.

Message received at 53797 <at> debbugs.gnu.org:


Received: (at 53797) by debbugs.gnu.org; 5 Feb 2022 12:10:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 05 07:10:35 2022
Received: from localhost ([127.0.0.1]:33953 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nGJti-0000K8-Th
	for submit <at> debbugs.gnu.org; Sat, 05 Feb 2022 07:10:35 -0500
Received: from laurent.telenet-ops.be ([195.130.137.89]:34424)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nGJtg-0000Jz-J7
 for 53797 <at> debbugs.gnu.org; Sat, 05 Feb 2022 07:10:33 -0500
Received: from [172.20.10.9] ([188.189.241.204])
 by laurent.telenet-ops.be with bizsmtp
 id rQAW2600Q4RJVgC01QAWZ8; Sat, 05 Feb 2022 13:10:31 +0100
Message-ID: <c0d9f960f010714d9e23d3c653b226c2cf65e7b0.camel@HIDDEN>
Subject: Re: [bug#53797] [PATCH] gnu: Add emacs-app-launcher.
From: Maxime Devos <maximedevos@HIDDEN>
To: Demis Balbach <db@HIDDEN>, 53797 <at> debbugs.gnu.org
Date: Sat, 05 Feb 2022 13:10:30 +0100
In-Reply-To: <20220205112019.31624-1-db@HIDDEN>
References: <20220205112019.31624-1-db@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-yfhYyYZxOImHiGu05yQW"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1644063031; bh=HgQHvHAbIZH33guderTBqko/SZlG+Wra2cFfwzFJM+g=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=OZ/KMGlhUUJKFJPdqdDkN0wTi3VT7JTNhDS5fBB5/+XfJNTtjwt6t/EOaOt6fOCNw
 3y5RmEUwMvSCoEF3mvxoXc5nbDpmhvvK3BXv/GAgPSMJVQQ8XB3gbmxPmODZe+RXMO
 n8aQNbOX7RbTUEgYtKpV7EQ391U8g9A7JdU0vvdiC3KdiRYVKuT8f+rdPrLF+pvJgt
 mGpLgwziMrwPxr8Y6+a/NAbRMLroRX2DGNRAyY74F0nTNlyjOkuCPrOlXjiaiLjS4O
 InX0wBaDAv51KoCDqpSPw4RL2Xhuj3HE7YvO1kXH9COG+Lf1FZvwXMdmxBfyre1/Cl
 bd3wC+0WO9rCg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53797
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-yfhYyYZxOImHiGu05yQW
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Demis Balbach schreef op za 05-02-2022 om 12:20 [+0100]:
> +=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 "app-launcher defines the app-launc=
her-run-app command which uses Emacs
> +standard completion feature to select an application installed on your m=
achine
> +and launch it.")

Looking at the source code, it appears to assume .desktop files,
so it doesn't work for arbitrary applications.

Additionally, the source code days 'Linux' .desktop applications
even though .desktop is not Linux-specific: unless something weird
is going on, they can be and are used on GNU/Hurd and Debian
GNU/kFreeBSD.

The latter is not a problem with the package definition though, just
something I noticed.

Greetings,
Maxime.

--=-yfhYyYZxOImHiGu05yQW
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYf5pNhccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7jj8AQDJketm7vA7Y9k2HmXpVPKYausA
KRthAUiQgoobQbUQiwEApT6oPypyif17jglre/jr9lFoAhNpPAoXd2ykiy6X3wI=
=Ik6G
-----END PGP SIGNATURE-----

--=-yfhYyYZxOImHiGu05yQW--





Information forwarded to guix-patches@HIDDEN:
bug#53797; Package guix-patches. Full text available.

Message received at 53797 <at> debbugs.gnu.org:


Received: (at 53797) by debbugs.gnu.org; 5 Feb 2022 12:05:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 05 07:05:39 2022
Received: from localhost ([127.0.0.1]:33948 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nGJox-0000D5-BT
	for submit <at> debbugs.gnu.org; Sat, 05 Feb 2022 07:05:39 -0500
Received: from albert.telenet-ops.be ([195.130.137.90]:41632)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nGJou-0000Cv-7K
 for 53797 <at> debbugs.gnu.org; Sat, 05 Feb 2022 07:05:37 -0500
Received: from [172.20.10.9] ([188.189.241.204])
 by albert.telenet-ops.be with bizsmtp
 id rQ5Z260094RJVgC06Q5am6; Sat, 05 Feb 2022 13:05:34 +0100
Message-ID: <a0b6cdf10a282a84a781d230b0368296fba3b3b3.camel@HIDDEN>
Subject: Re: [bug#53797] [PATCH] gnu: Add emacs-app-launcher.
From: Maxime Devos <maximedevos@HIDDEN>
To: Demis Balbach <db@HIDDEN>, 53797 <at> debbugs.gnu.org
Date: Sat, 05 Feb 2022 13:05:28 +0100
In-Reply-To: <20220205112019.31624-1-db@HIDDEN>
References: <20220205112019.31624-1-db@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-tRY1cpa2W/Z28X8PW46J"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1644062734; bh=davx6BoD6Hxpb08H0gTbT5ExXBC9GCUFODsQd9V+YoM=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=orsu0QWqWhekcR3Dh8iLCkji2q57PcOt4Pu/Gl+HJtwdE0StzMdpLbLrw+rbrJiKo
 n+uChSPA5S84no5nc89skgwYpEQoLc3Ipw+4VSmdWtYUiEDOWM7/HHXQwi6KTuXTr7
 AilQ2XEEpIH6fHE8bWFv5nI6OxknR4dpkIfzVVx+fiqlOIREtdNkrXTLk6umyTjX7d
 SxOD8Td+3LNPjrXoEXkZxHSsm/s8pBWhoVDT6l+bDIJtJ71EVSvmMITWidZroVJd7O
 OFiVnPOQI9G2SfdTqhgrFG+lBtZXKvcmD7H2bZm34FTaIUVAbxl9yp7xPgVWzbRy2a
 LAfux9wczcT3w==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53797
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-tRY1cpa2W/Z28X8PW46J
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Demis Balbach schreef op za 05-02-2022 om 12:20 [+0100]:
> +=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 "app-launcher defines the app-launc=
her-run-app command which uses Emacs
> +standard completion feature to select an application installed on your m=
achine
> +and launch it.")

What does =E2=80=98launching=E2=80=99 mean here?  Is =E2=80=98launching an =
application=E2=80=99
functionally the same as running it (with 'fork'+'exec' or 'system' or
whatever)?  Does it have extra bells and whistles?

It's a super vague word, e.g. when Xiden has been announced on guix-
devel, one of the words that kept being repeated was 'launcher', but it
wasn't defined anywhere in its practically empty manual. (Nowadays
there's actually a manual and it does define launchers, but it didn't
use to.)=20

Greetings,
Maxime.

--=-tRY1cpa2W/Z28X8PW46J
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYf5oCRccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7giaAP9Am+LjyMvoKkuzDVZBtRiXT6fH
rNo/w73XnSJrHE+ylgEA3CyNEg6tb9e5sauiwY0Or/0F1R1aoGL51v7wmVciMgg=
=mksh
-----END PGP SIGNATURE-----

--=-tRY1cpa2W/Z28X8PW46J--





Information forwarded to guix-patches@HIDDEN:
bug#53797; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Feb 2022 11:20:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 05 06:20:47 2022
Received: from localhost ([127.0.0.1]:33897 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nGJ7X-00057s-GM
	for submit <at> debbugs.gnu.org; Sat, 05 Feb 2022 06:20:47 -0500
Received: from lists.gnu.org ([209.51.188.17]:33996)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <db@HIDDEN>) id 1nGJ7V-00057k-6i
 for submit <at> debbugs.gnu.org; Sat, 05 Feb 2022 06:20:45 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52086)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <db@HIDDEN>) id 1nGJ7T-0001Jr-9C
 for guix-patches@HIDDEN; Sat, 05 Feb 2022 06:20:43 -0500
Received: from mout-p-201.mailbox.org ([80.241.56.171]:58398)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_CHACHA20_POLY1305:256)
 (Exim 4.90_1) (envelope-from <db@HIDDEN>) id 1nGJ7Q-0001kU-83
 for guix-patches@HIDDEN; Sat, 05 Feb 2022 06:20:42 -0500
Received: from smtp2.mailbox.org (smtp2.mailbox.org [80.241.60.241])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-201.mailbox.org (Postfix) with ESMTPS id 4JrVM45NFjz9sQD;
 Sat,  5 Feb 2022 12:20:32 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=minikn.xyz; s=MBO0001; 
 t=1644060030;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding;
 bh=nLOqOFC0W5w3wB1oC3YbijkSSMW3ECCVDwn/bah3zvA=;
 b=wuD4PhP1gb7+9yoVw2IWc2Xpbg2awrPopQuZqadagnxVshDQOrQW7mSdJ+RHpdTCdLKzc2
 VEYfqKfqLsEXocibca32IFq67Imh+5f9rr3MPQHAJbx9CWkDo4FxyPbTsXDc6Gt70CLPlS
 Ev+LFWJJ3VdduQd8eVjJYFlorW3hJRBT8kA6zG6ldsx0k92xXLROmtJrcZCpQIR9uCyx4F
 cKgfgC2UNLtbdhTlQuPWyqXuGRoMWWpN2EX4KS30N+rlJWQ0Fae46iAddGxaAQfs86y18J
 wykg/p310cmlyyd99vT6vj22Hw4tpedeM0SXI0DOQnwdfk0RYTu525yEKmFdeg==
From: Demis Balbach <db@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add emacs-app-launcher.
Date: Sat,  5 Feb 2022 12:20:19 +0100
Message-Id: <20220205112019.31624-1-db@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: none client-ip=80.241.56.171; envelope-from=db@HIDDEN;
 helo=mout-p-201.mailbox.org
X-Spam_score_int: 13
X-Spam_score: 1.3
X-Spam_bar: +
X-Spam_report: (1.3 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FROM_SUSPICIOUS_NTLD=0.499,
 FROM_SUSPICIOUS_NTLD_FP=1.997, PDS_OTHER_BAD_TLD=1.625, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001, SPF_NONE=0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: --- gnu/packages/emacs-xyz.scm | 27
 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+) diff --git a/gnu/packages/emacs-xyz.scm
 b/gnu/packages/emacs-xyz.scm index 444b761116..4ce7525dee 100644 ---
 a/gnu/packages/emacs-xyz.scm
 +++ b/gnu/packages/emacs-xyz.scm @@ -2615,6 +2615,33 @@ (defin [...] 
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: minikn.xyz (xyz)]
 2.0 FROM_SUSPICIOUS_NTLD_FP From abused NTLD
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: submit
Cc: Demis Balbach <db@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.2 (-)

---
 gnu/packages/emacs-xyz.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index 444b761116..4ce7525dee 100644
--- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -2615,6 +2615,33 @@ (define-public emacs-async
 as a library for other Emacs packages.")
     (license license:gpl3+)))
 
+(define-public emacs-app-launcher
+  (let ((commit "80a9ed37892ee6e21fe44487ed11f66a15e3f440")
+        (revision "1")
+        (version "0.1"))
+    (package
+      (name "emacs-app-launcher")
+      (version (git-version version revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url "https://github.com/SebastienWae/app-launcher")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "1ywhfx8604ifmvcy2397bmvq2wj03jyqnm0g7lmqqi5p97rjbdgc"))))
+      (build-system emacs-build-system)
+      (home-page "https://github.com/SebastienWae/app-launcher")
+      (synopsis
+       "Use Emacs an app launcher")
+      (description
+       "app-launcher defines the app-launcher-run-app command which uses Emacs
+standard completion feature to select an application installed on your machine
+and launch it.")
+      (license license:gpl3+))))
+
 (define-public emacs-auctex
   (package
     (name "emacs-auctex")
-- 
2.34.0





Acknowledgement sent to Demis Balbach <db@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#53797; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 6 Feb 2022 11:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.